org.eclipse.cdt.core.model

## Interface IMacro

All Superinterfaces:
  ICElement, ISourceManipulation, ISourceReference

    public interface IMacro
    extends ICElement, ISourceManipulation, ISourceReference

Represents a field declared in a type.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.model.ICElement

`ASM_LABEL, C_ARCHIVE, C_BINARY, C_CCONTAINER, C_CLASS, C_CLASS_CTOR, C_CLASS_DECLARATION, C_CLASS_DTOR, C_ENUMERATION, C_ENUMERATOR, C_FIELD, C_FUNCTION, C_FUNCTION_DECLARATION, C_INCLUDE, C_MACRO, C_METHOD, C_METHOD_DECLARATION, C_MODEL, C_NAMESPACE, C_PROJECT, C_STORAGE_EXTERN, C_STORAGE_STATIC, C_STRUCT, C_STRUCT_DECLARATION, C_TEMPLATE_CLASS, C_TEMPLATE_CLASS_DECLARATION, C_TEMPLATE_FUNCTION, C_TEMPLATE_FUNCTION_DECLARATION, C_TEMPLATE_METHOD, C_TEMPLATE_METHOD_DECLARATION, C_TEMPLATE_STRUCT, C_TEMPLATE_STRUCT_DECLARATION, C_TEMPLATE_UNION, C_TEMPLATE_UNION_DECLARATION, C_TEMPLATE_VARIABLE, C_TYPEDEF, C_UNION, C_UNION_DECLARATION, C_UNIT, C_UNKNOWN_DECLARATION, C_USING, C_VARIABLE, C_VARIABLE_DECLARATION, C_VARIABLE_LOCAL, C_VCONTAINER, CPP_FRIEND, CPP_PRIVATE, CPP_PROTECTED, CPP_PUBLIC, EMPTY_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getIdentifierList()` Returns the Identifier List.
`java.lang.String` `getTokenSequence()` Returns the Token Sequence.
`boolean` `isFunctionStyle()` Returns true if this macro is of function style.

### Methods inherited from interface org.eclipse.cdt.core.model.ICElement

`accept, exists, getAncestor, getCModel, getCProject, getElementName, getElementType, getHandleIdentifier, getLocationURI, getParent, getPath, getResource, getUnderlyingResource, isReadOnly, isStructureKnown`

### Methods inherited from interface org.eclipse.cdt.core.model.ISourceManipulation

`copy, delete, move, rename`

### Methods inherited from interface org.eclipse.cdt.core.model.ISourceReference

`getIndex, getSource, getSourceRange, getTranslationUnit, isActive`

### Method Detail

#### getIdentifierList

    java.lang.String getIdentifierList()

Returns the Identifier List.

Returns:
  String

#### getTokenSequence

    java.lang.String getTokenSequence()

Returns the Token Sequence.

Returns:
  String

#### isFunctionStyle

    boolean isFunctionStyle()

Returns true if this macro is of function style.

Since:
  5.3